Error: build failed: cannot run context initializer: container exited with non-zero exit code: 1

Anyone know why I’m unable to start the Theia workspace on my self-hosted Gitpod cluster?

building base image

initializing base image context
'cannot download OTS                           attempt=0 error=Get "https://x.x.x.x.ip.mygitpod.com/api/ots/get/6ce9188b-a95f-42dd-8272-f8a43d1301e8": x509:certificate has expired or is not yet valid: current time 2021-01-15T12:38:51Z is after 2020-11-22T11:59:23Z
'cannot download OTS                           attempt=1 error=Get "https://x.x.x.x.ip.mygitpod.com/api/ots/get/6ce9188b-a95f-42dd-8272-f8a43d1301e8": x509:certificate has expired or is not yet valid: current time 2021-01-15T12:38:52Z is after 2020-11-22T11:59:23Z
'cannot download OTS                           attempt=2 error=Get "https://x.x.x.x.ip.mygitpod.com/api/ots/get/6ce9188b-a95f-42dd-8272-f8a43d1301e8": x509:certificate has expired or is not yet valid: current time 2021-01-15T12:38:54Z is after 2020-11-22T11:59:23Z
'cannot download OTS                           attempt=3 error=Get "https://x.x.x.x.ip.mygitpod.com/api/ots/get/6ce9188b-a95f-42dd-8272-f8a43d1301e8": x509:certificate has expired or is not yet valid: current time 2021-01-15T12:38:55Z is after 2020-11-22T11:59:23Z
'cannot download OTS                           attempt=4 error=Get "https://x.x.x.x.ip.mygitpod.com/api/ots/get/6ce9188b-a95f-42dd-8272-f8a43d1301e8": x509:certificate has expired or is not yet valid: current time 2021-01-15T12:38:57Z is after 2020-11-22T11:59:23Z
'cannot download OTS                           attempt=5 error=Get "https://x.x.x.x.ip.mygitpod.com/api/ots/get/6ce9188b-a95f-42dd-8272-f8a43d1301e8": x509:certificate has expired or is not yet valid: current time 2021-01-15T12:38:58Z is after 2020-11-22T11:59:23Z
'cannot download OTS                           attempt=6 error=Get "https://x.x.x.x.ip.mygitpod.com/api/ots/get/6ce9188b-a95f-42dd-8272-f8a43d1301e8": x509:certificate has expired or is not yet valid: current time 2021-01-15T12:39:00Z is after 2020-11-22T11:59:23Z
'cannot download OTS                           attempt=7 error=Get "https://x.x.x.x.ip.mygitpod.com/api/ots/get/6ce9188b-a95f-42dd-8272-f8a43d1301e8": x509:certificate has expired or is not yet valid: current time 2021-01-15T12:39:01Z is after 2020-11-22T11:59:23Z
'cannot download OTS                           attempt=8 error=Get "https://x.x.x.x.ip.mygitpod.com/api/ots/get/6ce9188b-a95f-42dd-8272-f8a43d1301e8": x509:certificate has expired or is not yet valid: current time 2021-01-15T12:39:03Z is after 2020-11-22T11:59:23Z
cannot download OTS                           attempt=9 error=Get "https://x.x.x.x.ip.mygitpod.com/api/ots/get/6ce9188b-a95f-42dd-8272-f8a43d1301e8": x509: certificate has expired or is not yet valid: current time 2021-01-15T12:39:04Z is after 2020-11-22T11:59:23Z
cannot download Git auth OTS                  error=Get "https://x.x.x.x.ip.mygitpod.com/api/ots/get/6ce9188b-a95f-42dd-8272-f8a43d1301e8": x509: certificate has expired or is not yet valid: current time 2021-01-15T12:39:04Z is after 2020-11-22T11:59:23Z location=/workspace/init
init failed                                   error=cannot initialize workspace: git initializer: rpc error: code = InvalidArgument desc = cannot get OTS
init failed                                   error=cannot initialize workspace: git initializer: rpc error: code = InvalidArgument desc = cannot get OTS

build failed: cannot run context initializer: container exited with non-zero exit code: 1init failed                                   error=cannot initialize workspace: git initializer: rpc error: code = InvalidArgument desc = cannot get OTS

Error: build failed: cannot run context initializer: container exited with non-zero exit code: 1

Hi @natea,

yes, there are known issues with mygitpod.com. In this case the certificate expired. There are several issues in our Februrary Milestone to fix this issue and improve the experience with mygitpod.com in general. Please stay tuned!